[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TDockHeaderImages

Array type used to store bitmap images used in a dock header.

## Declaration

Source position: ldocktree.pas line 141

`type TDockHeaderImages = array [TDockHeaderImageKind] of TCustomBitmap;`

## Description

Elements in TDockHeaderImages can be accessed using the enumeration values in TDockHeaderImageKind. Used in the implementation of TLazDockTree and TLazDockForm.

## See also

TDockHeaderImageKind |  | Enumerated type with values representing the images used in a dock header.
TLazDockTree |  | Implements a docking manager using a simple layout.
TLazDockForm |  | TLazDockForm - the default DockSite for a TLazDockTree and for TCustomAnchoredDockManager.